Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.devel
Class SourceViewControllerHandler

    java.lang.Object
      org.makumba.commons.ControllerHandler
          org.makumba.devel.SourceViewControllerHandler

    public class SourceViewControllerHandler

extends ControllerHandler

invoke the necessary SourceViewer, depending on the type of the source the architecture should change, and be organized in filters. example:

- jspx and jsps: JSP syntax colouring | Java linking | MDD linking | line numbering | header
- java: Java syntax colouring | Java linking | MDD linking | line numbering | header
- mdd: syntax_colouring | MDD linking | line numbering | header
- jspxp: JSP syntax colouring | line numbering | makumba reduction | java linking | mdd linking | header

It's not difficult to get the current architecture to work like that. This will be slower but the big advantage is that the Java and JSP syntax colouring (and maybe Java linking) can be outsourced.

Nested Class Summary
`static class` | `SourceViewControllerHandler.DirectoriesExcludingRepositoriesFilter`

Field Summary
`static String` | `PARAM_REPOSITORY_LINK_TEXT`
`static String` | `PARAM_REPOSITORY_URL`

Constructor Summary
`SourceViewControllerHandler()`

Method Summary
`boolean` | `beforeFilter(ServletRequest request, ServletResponse response, FilterConfig conf, ServletObjects httpServletObjects)` Performs an operation before the doFilterChain() method is called
`(package private) static boolean` | `containsFilesWithExtension(File dir, String... extension)`
`static void` | `printDirlistingHeader(PrintWriter w, String dir, String relativeDirectory, String contextPath, String key)`
`static void` | `processDirectory(PrintWriter w, File dir, String extension)`

Methods inherited from class org.makumba.commons.ControllerHandler
`afterBeforeFilter, afterFilter, finalize, onError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAM_REPOSITORY_URL

    public static final String PARAM_REPOSITORY_URL

See Also:
  Constant Field Values

### PARAM_REPOSITORY_LINK_TEXT

    public static final String PARAM_REPOSITORY_LINK_TEXT

See Also:
  Constant Field Values

Constructor Detail

### SourceViewControllerHandler

    public SourceViewControllerHandler()

Method Detail

### beforeFilter

    public boolean beforeFilter(ServletRequest request,
                                ServletResponse response,
                                FilterConfig conf,
                                ServletObjects httpServletObjects)
                         throws Exception

  Description copied from class: `ControllerHandler`
  Performs an operation before the doFilterChain() method is called

  Overrides:
    `beforeFilter` in class `ControllerHandler`
  Returns:
    `true` if the operation worked out successfully, `false` otherwise
  Throws:
    `Exception`

### printDirlistingHeader

    public static void printDirlistingHeader(PrintWriter w,
                                             String dir,
                                             String relativeDirectory,
                                             String contextPath,
                                             String key)
                                      throws IOException

  Throws:
    `IOException`

### processDirectory

    public static void processDirectory(PrintWriter w,
                                        File dir,
                                        String extension)

### containsFilesWithExtension

    static boolean containsFilesWithExtension(File dir,
                                              String... extension)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20